Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.201.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
24.201.0.0
Broadcast address
24.201.63.255
First usable
24.201.0.1
Last usable
24.201.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 18C90000 · Integer 415825920 to 415842303
Reverse DNS zones
0.201.24.in-addr.arpa
1.201.24.in-addr.arpa
2.201.24.in-addr.arpa
3.201.24.in-addr.arpa
4.201.24.in-addr.arpa
5.201.24.in-addr.arpa
6.201.24.in-addr.arpa
7.201.24.in-addr.arpa
8.201.24.in-addr.arpa
9.201.24.in-addr.arpa
10.201.24.in-addr.arpa
11.201.24.in-addr.arpa
12.201.24.in-addr.arpa
13.201.24.in-addr.arpa
14.201.24.in-addr.arpa
15.201.24.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.11001001.00000000.0000000024.201.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00011000.11001001.00000000.0000000024.201.0.0
Broadcast00011000.11001001.00111111.1111111124.201.63.255
Split into smaller subnets/25

24.201.0.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.201.0.0/2524.201.0.1 to 24.201.0.12624.201.0.127126
224.201.0.128/2524.201.0.129 to 24.201.0.25424.201.0.255126
324.201.1.0/2524.201.1.1 to 24.201.1.12624.201.1.127126
424.201.1.128/2524.201.1.129 to 24.201.1.25424.201.1.255126
524.201.2.0/2524.201.2.1 to 24.201.2.12624.201.2.127126
624.201.2.128/2524.201.2.129 to 24.201.2.25424.201.2.255126
724.201.3.0/2524.201.3.1 to 24.201.3.12624.201.3.127126
824.201.3.128/2524.201.3.129 to 24.201.3.25424.201.3.255126
924.201.4.0/2524.201.4.1 to 24.201.4.12624.201.4.127126
1024.201.4.128/2524.201.4.129 to 24.201.4.25424.201.4.255126
1124.201.5.0/2524.201.5.1 to 24.201.5.12624.201.5.127126
1224.201.5.128/2524.201.5.129 to 24.201.5.25424.201.5.255126
1324.201.6.0/2524.201.6.1 to 24.201.6.12624.201.6.127126
1424.201.6.128/2524.201.6.129 to 24.201.6.25424.201.6.255126
1524.201.7.0/2524.201.7.1 to 24.201.7.12624.201.7.127126
1624.201.7.128/2524.201.7.129 to 24.201.7.25424.201.7.255126
1724.201.8.0/2524.201.8.1 to 24.201.8.12624.201.8.127126
1824.201.8.128/2524.201.8.129 to 24.201.8.25424.201.8.255126
1924.201.9.0/2524.201.9.1 to 24.201.9.12624.201.9.127126
2024.201.9.128/2524.201.9.129 to 24.201.9.25424.201.9.255126
2124.201.10.0/2524.201.10.1 to 24.201.10.12624.201.10.127126
2224.201.10.128/2524.201.10.129 to 24.201.10.25424.201.10.255126
2324.201.11.0/2524.201.11.1 to 24.201.11.12624.201.11.127126
2424.201.11.128/2524.201.11.129 to 24.201.11.25424.201.11.255126
2524.201.12.0/2524.201.12.1 to 24.201.12.12624.201.12.127126
2624.201.12.128/2524.201.12.129 to 24.201.12.25424.201.12.255126
2724.201.13.0/2524.201.13.1 to 24.201.13.12624.201.13.127126
2824.201.13.128/2524.201.13.129 to 24.201.13.25424.201.13.255126
2924.201.14.0/2524.201.14.1 to 24.201.14.12624.201.14.127126
3024.201.14.128/2524.201.14.129 to 24.201.14.25424.201.14.255126
3124.201.15.0/2524.201.15.1 to 24.201.15.12624.201.15.127126
3224.201.15.128/2524.201.15.129 to 24.201.15.25424.201.15.255126
3324.201.16.0/2524.201.16.1 to 24.201.16.12624.201.16.127126
3424.201.16.128/2524.201.16.129 to 24.201.16.25424.201.16.255126
3524.201.17.0/2524.201.17.1 to 24.201.17.12624.201.17.127126
3624.201.17.128/2524.201.17.129 to 24.201.17.25424.201.17.255126
3724.201.18.0/2524.201.18.1 to 24.201.18.12624.201.18.127126
3824.201.18.128/2524.201.18.129 to 24.201.18.25424.201.18.255126
3924.201.19.0/2524.201.19.1 to 24.201.19.12624.201.19.127126
4024.201.19.128/2524.201.19.129 to 24.201.19.25424.201.19.255126
4124.201.20.0/2524.201.20.1 to 24.201.20.12624.201.20.127126
4224.201.20.128/2524.201.20.129 to 24.201.20.25424.201.20.255126
4324.201.21.0/2524.201.21.1 to 24.201.21.12624.201.21.127126
4424.201.21.128/2524.201.21.129 to 24.201.21.25424.201.21.255126
4524.201.22.0/2524.201.22.1 to 24.201.22.12624.201.22.127126
4624.201.22.128/2524.201.22.129 to 24.201.22.25424.201.22.255126
4724.201.23.0/2524.201.23.1 to 24.201.23.12624.201.23.127126
4824.201.23.128/2524.201.23.129 to 24.201.23.25424.201.23.255126
4924.201.24.0/2524.201.24.1 to 24.201.24.12624.201.24.127126
5024.201.24.128/2524.201.24.129 to 24.201.24.25424.201.24.255126
5124.201.25.0/2524.201.25.1 to 24.201.25.12624.201.25.127126
5224.201.25.128/2524.201.25.129 to 24.201.25.25424.201.25.255126
5324.201.26.0/2524.201.26.1 to 24.201.26.12624.201.26.127126
5424.201.26.128/2524.201.26.129 to 24.201.26.25424.201.26.255126
5524.201.27.0/2524.201.27.1 to 24.201.27.12624.201.27.127126
5624.201.27.128/2524.201.27.129 to 24.201.27.25424.201.27.255126
5724.201.28.0/2524.201.28.1 to 24.201.28.12624.201.28.127126
5824.201.28.128/2524.201.28.129 to 24.201.28.25424.201.28.255126
5924.201.29.0/2524.201.29.1 to 24.201.29.12624.201.29.127126
6024.201.29.128/2524.201.29.129 to 24.201.29.25424.201.29.255126
6124.201.30.0/2524.201.30.1 to 24.201.30.12624.201.30.127126
6224.201.30.128/2524.201.30.129 to 24.201.30.25424.201.30.255126
6324.201.31.0/2524.201.31.1 to 24.201.31.12624.201.31.127126
6424.201.31.128/2524.201.31.129 to 24.201.31.25424.201.31.255126
6524.201.32.0/2524.201.32.1 to 24.201.32.12624.201.32.127126
6624.201.32.128/2524.201.32.129 to 24.201.32.25424.201.32.255126
6724.201.33.0/2524.201.33.1 to 24.201.33.12624.201.33.127126
6824.201.33.128/2524.201.33.129 to 24.201.33.25424.201.33.255126
6924.201.34.0/2524.201.34.1 to 24.201.34.12624.201.34.127126
7024.201.34.128/2524.201.34.129 to 24.201.34.25424.201.34.255126
7124.201.35.0/2524.201.35.1 to 24.201.35.12624.201.35.127126
7224.201.35.128/2524.201.35.129 to 24.201.35.25424.201.35.255126
7324.201.36.0/2524.201.36.1 to 24.201.36.12624.201.36.127126
7424.201.36.128/2524.201.36.129 to 24.201.36.25424.201.36.255126
7524.201.37.0/2524.201.37.1 to 24.201.37.12624.201.37.127126
7624.201.37.128/2524.201.37.129 to 24.201.37.25424.201.37.255126
7724.201.38.0/2524.201.38.1 to 24.201.38.12624.201.38.127126
7824.201.38.128/2524.201.38.129 to 24.201.38.25424.201.38.255126
7924.201.39.0/2524.201.39.1 to 24.201.39.12624.201.39.127126
8024.201.39.128/2524.201.39.129 to 24.201.39.25424.201.39.255126
8124.201.40.0/2524.201.40.1 to 24.201.40.12624.201.40.127126
8224.201.40.128/2524.201.40.129 to 24.201.40.25424.201.40.255126
8324.201.41.0/2524.201.41.1 to 24.201.41.12624.201.41.127126
8424.201.41.128/2524.201.41.129 to 24.201.41.25424.201.41.255126
8524.201.42.0/2524.201.42.1 to 24.201.42.12624.201.42.127126
8624.201.42.128/2524.201.42.129 to 24.201.42.25424.201.42.255126
8724.201.43.0/2524.201.43.1 to 24.201.43.12624.201.43.127126
8824.201.43.128/2524.201.43.129 to 24.201.43.25424.201.43.255126
8924.201.44.0/2524.201.44.1 to 24.201.44.12624.201.44.127126
9024.201.44.128/2524.201.44.129 to 24.201.44.25424.201.44.255126
9124.201.45.0/2524.201.45.1 to 24.201.45.12624.201.45.127126
9224.201.45.128/2524.201.45.129 to 24.201.45.25424.201.45.255126
9324.201.46.0/2524.201.46.1 to 24.201.46.12624.201.46.127126
9424.201.46.128/2524.201.46.129 to 24.201.46.25424.201.46.255126
9524.201.47.0/2524.201.47.1 to 24.201.47.12624.201.47.127126
9624.201.47.128/2524.201.47.129 to 24.201.47.25424.201.47.255126
9724.201.48.0/2524.201.48.1 to 24.201.48.12624.201.48.127126
9824.201.48.128/2524.201.48.129 to 24.201.48.25424.201.48.255126
9924.201.49.0/2524.201.49.1 to 24.201.49.12624.201.49.127126
10024.201.49.128/2524.201.49.129 to 24.201.49.25424.201.49.255126
10124.201.50.0/2524.201.50.1 to 24.201.50.12624.201.50.127126
10224.201.50.128/2524.201.50.129 to 24.201.50.25424.201.50.255126
10324.201.51.0/2524.201.51.1 to 24.201.51.12624.201.51.127126
10424.201.51.128/2524.201.51.129 to 24.201.51.25424.201.51.255126
10524.201.52.0/2524.201.52.1 to 24.201.52.12624.201.52.127126
10624.201.52.128/2524.201.52.129 to 24.201.52.25424.201.52.255126
10724.201.53.0/2524.201.53.1 to 24.201.53.12624.201.53.127126
10824.201.53.128/2524.201.53.129 to 24.201.53.25424.201.53.255126
10924.201.54.0/2524.201.54.1 to 24.201.54.12624.201.54.127126
11024.201.54.128/2524.201.54.129 to 24.201.54.25424.201.54.255126
11124.201.55.0/2524.201.55.1 to 24.201.55.12624.201.55.127126
11224.201.55.128/2524.201.55.129 to 24.201.55.25424.201.55.255126
11324.201.56.0/2524.201.56.1 to 24.201.56.12624.201.56.127126
11424.201.56.128/2524.201.56.129 to 24.201.56.25424.201.56.255126
11524.201.57.0/2524.201.57.1 to 24.201.57.12624.201.57.127126
11624.201.57.128/2524.201.57.129 to 24.201.57.25424.201.57.255126
11724.201.58.0/2524.201.58.1 to 24.201.58.12624.201.58.127126
11824.201.58.128/2524.201.58.129 to 24.201.58.25424.201.58.255126
11924.201.59.0/2524.201.59.1 to 24.201.59.12624.201.59.127126
12024.201.59.128/2524.201.59.129 to 24.201.59.25424.201.59.255126
12124.201.60.0/2524.201.60.1 to 24.201.60.12624.201.60.127126
12224.201.60.128/2524.201.60.129 to 24.201.60.25424.201.60.255126
12324.201.61.0/2524.201.61.1 to 24.201.61.12624.201.61.127126
12424.201.61.128/2524.201.61.129 to 24.201.61.25424.201.61.255126
12524.201.62.0/2524.201.62.1 to 24.201.62.12624.201.62.127126
12624.201.62.128/2524.201.62.129 to 24.201.62.25424.201.62.255126
12724.201.63.0/2524.201.63.1 to 24.201.63.12624.201.63.127126
12824.201.63.128/2524.201.63.129 to 24.201.63.25424.201.63.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses